%global packname  rex
%global rlibdir  %{_datadir}/R/library

# Loops and not yet available.
%global with_suggests 0

Name:             R-%{packname}
Version:          1.1.2
Release:          1%{?dist}
Summary:          Friendly Regular Expressions

License:          MIT
URL:              https://cran.r-project.org/web/packages/%{packname}/index.html
Source0:          https://cran.r-project.org/src/contrib/%{packname}_%{version}.tar.gz

# Here's the R view of the dependencies world:
# Depends:
# Imports:   R-magrittr, R-lazyeval
# Suggests:  R-testthat, R-knitr, R-rmarkdown, R-dplyr, R-ggplot2, R-Hmisc, R-stringr, R-rvest, R-roxygen2, R-covr
# LinkingTo:
# Enhances:

BuildArch:        noarch
Requires:         R-core
Requires:         R-magrittr
Requires:         R-lazyeval
Suggests:         R-roxygen2
BuildRequires:    R-devel
BuildRequires:    tex(latex)
BuildRequires:    R-magrittr
BuildRequires:    R-lazyeval
BuildRequires:    R-testthat
BuildRequires:    R-knitr
BuildRequires:    R-rmarkdown
%if %{with_suggests}
BuildRequires:    R-dplyr
BuildRequires:    R-ggplot2
BuildRequires:    R-Hmisc
BuildRequires:    R-stringr
BuildRequires:    R-rvest
BuildRequires:    R-roxygen2
%endif

%description
A friendly interface for the construction of regular expressions.


%prep
%setup -q -c -n %{packname}

# Don't need coverage; it's not packaged either.
sed -i 's/, covr//g' %{packname}/DESCRIPTION


%build


%install
mkdir -p %{buildroot}%{rlibdir}
%{_bindir}/R CMD INSTALL -l %{buildroot}%{rlibdir} %{packname}
test -d %{packname}/src && (cd %{packname}/src; rm -f *.o *.so)
rm -f %{buildroot}%{rlibdir}/R.css


%check
%if %{with_suggests}
%{_bindir}/R CMD check %{packname}
%else
_R_CHECK_FORCE_SUGGESTS_=0 %{_bindir}/R CMD check %{packname}
%endif


%files
%dir %{rlibdir}/%{packname}
%doc %{rlibdir}/%{packname}/doc
%doc %{rlibdir}/%{packname}/html
%{rlibdir}/%{packname}/DESCRIPTION
%doc %{rlibdir}/%{packname}/NEWS.md
%license %{rlibdir}/%{packname}/LICENSE
%{rlibdir}/%{packname}/INDEX
%{rlibdir}/%{packname}/NAMESPACE
%{rlibdir}/%{packname}/Meta
%{rlibdir}/%{packname}/R
%{rlibdir}/%{packname}/help
%{rlibdir}/%{packname}/help


%changelog
* Fri Apr 27 2018 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 1.1.2-1
- initial package for Fedora
